package intrinsic.mx.rpc.events;

public class FaultEvent extends intrinsic.mx.rpc.events.AbstractEvent {

	/** Accessors */
	public Object headers;
	public intrinsic.mx.rpc.Fault fault;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String FAULT = "fault";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FaultEvent() {
}

public FaultEvent(String arg0) {
}

public FaultEvent(String arg0, boolean arg1) {
}

public FaultEvent(String arg0, boolean arg1, boolean arg2) {
}

public FaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.Fault arg3) {
}

public FaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.Fault arg3, intrinsic.mx.rpc.AsyncToken arg4) {
}

public FaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.Fault arg3, intrinsic.mx.rpc.AsyncToken arg4, intrinsic.mx.messaging.messages.IMessage arg5) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.FaultEvent createEvent(intrinsic.mx.rpc.Fault arg0);
public static native intrinsic.mx.rpc.events.FaultEvent createEvent(intrinsic.mx.rpc.Fault arg0, intrinsic.mx.rpc.AsyncToken arg1);
public static native intrinsic.mx.rpc.events.FaultEvent createEvent(intrinsic.mx.rpc.Fault arg0, intrinsic.mx.rpc.AsyncToken arg1, intrinsic.mx.messaging.messages.IMessage arg2);
public static native intrinsic.mx.rpc.events.FaultEvent createEventFromMessageFault(intrinsic.mx.messaging.events.MessageFaultEvent arg0);
public static native intrinsic.mx.rpc.events.FaultEvent createEventFromMessageFault(intrinsic.mx.messaging.events.MessageFaultEvent arg0, intrinsic.mx.rpc.AsyncToken arg1);

/** Methods */
public native String toString();
public native Object clone();

}
